#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
    unsigned long long mx=0;
    vector<unsigned long long> a(t);
    for(int i=0;i<t;i++)
    {
        cin>>a[i];
        mx=max(a[i],mx);
    }
    vector<unsigned long long> m(mx+1);
    vector<bool> mb(mx+1,false);
    m[0]=0;
    for(unsigned long long i=1;i<=mx;i++)
    {
        m[i]=m[i-1];
        unsigned long long n=i;
        unsigned long long p=1;
        while(n>0 && p>0)
        {
            p*=n%10;
            n/=10;
        }
        if(!mb[p])
            m[i]++;
        mb[p]=true;
    }
    for(int i=0;i<t;i++)
        cout<<m[a[i]]<<'\n';
    return 0;
}